package cz.muni.fi.pb162.exception;

public class Car {
    private String brand;
    private boolean isStarted = false;

    public Car(String brand) {
        this.brand = brand;
    }

    public void startCar() {
        isStarted = true;
    }

    public void stopCar() {
        isStarted = false;
    }

    public boolean isStarted() { return isStarted; }

    // metóda drive vyhadzuje sledovanú výnimku CarNotStartedException
    // ak auto nie je naštartované a chceme jazdiť vyhodí sa výnimka
    // keďže je táto výnimka sledovaná je nutné aby bola identifikovaná v hlavičke metódy
    // ak by sme odmazali "throws CarNotStartedException", kód by nebolo možné skompilovať
    public void drive() throws CarNotStartedException {
        if (!isStarted) {
            throw new CarNotStartedException("Cannot drive when car is not started!", this);
        }
        System.out.println("Wrooms!");
    }

    public String toString() {
        return "Car " + brand;
    }
}
