package cz.muni.fi.pb162.exception;

/**
 * CarNotStartedException je príklad sledovanej výnimky
 * Ideálne by mala trieda výnimky obsahovať 4 konštruktory
 *      - bezparametricky
 *      - s parametrom typu String (message)
 *      - s parametrom typu Throwable (cause)
 *      - s parametrom typu String a Throwable
 */
public class CarNotStartedException extends RuntimeException {

    private int errorCode;
    private Car errorCar;

    public CarNotStartedException() {}

    public CarNotStartedException(String message, Car errorCar) {
        super(message);
        this.errorCar = errorCar;
    }

    public Car getErrorCar() { return errorCar; }

    // typ throwable je nadtriedou všetkých výnimiek v jazyku Java
    // konštruktor výnimky, ktorý berie ako parameter objekt inej výnimky je využitý pri reťazení výnimiek
    public CarNotStartedException(Throwable cause) {
        super(cause);
    }

    public CarNotStartedException(String message, Throwable cause) {
        super(message, cause);
    }
}
