package cz.muni.fi.pb162.runtimeexception;

public class Person {
    private final String name;

    public Person(String name) {
        // využívame nami vytvorenú výnimku len ako ukážku využitia
        // pre tento prípad by postačovalo využiť výnimku NullPointerException
        if (name == null) {
            throw new MissingNameException("Person's name cannot be null!");
        }
        // v prípade, že získané meno je prázdny String vyhodíme výnimku IllegalArgumentException
        if (name.equals("")) {
            throw new IllegalArgumentException("Person's name cannot be empty!");
        }
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
